-
    In order to test the document_page in OpenERP, I create a new page to blog blog_blog_1
-
    !record {model: blog.post, id: test_page0}:
      name: Test Page0
      blog_id: blog_blog_1
      content: 'Test content

      The Odoo wiki allows you to manage your enterprise contents using wiki

      restructured texts. This module provides a collaborative way to manage internal

      FAQs, quality manuals, technical references, etc.'

-
    !record {model: blog.post, id: test_page0}:
      content: 'Test updated content

      The Odoo wiki allows you to manage your enterprise contents using wiki

      restructured texts. This module provides a collaborative way to manage internal

      FAQs, quality manuals, technical references, etc.

      Wiki text can easily be edited
      '
-
    I check the page history for the current page by clicking on "Page History".After that find difference between history.
-
    !python {model: blog.post.history.show_diff}: |
      hist_obj = model.pool.get('blog.post.history')
      ids = hist_obj.search(cr, uid, [('post_id', '=', ref("test_page0"))])
      model.get_diff(cr, uid, {'active_ids': ids[:] })
